Package org.eclipse.core.databinding.bind.steps

# Interface CommonSteps.ConvertToStep<F>

Type Parameters:
  `F` - type of the from-end observable

All Superinterfaces:
  `Step`

All Known Subinterfaces:
  `ListOneWaySteps.ListOneWayConvertStep<F,THIS>`, `ListTwoWaySteps.ListTwoWayConvertToStep<F,THIS>`, `SetOneWaySteps.SetOneWayConvertStep<F,THIS>`, `SetTwoWaySteps.SetTwoWayConvertToStep<F,THIS>`, `ValueOneWaySteps.ValueOneWayConvertStep<F,THIS>`, `ValueTwoWaySteps.ValueTwoWayConvertToStep<F,THIS>`

Enclosing class:
  CommonSteps

public static interface CommonSteps.ConvertToStep<F> extends Step
Step for converting between from- and to-types.

Restriction:

## Method Summary

Modifier and Type
Method
Description
`<T> Step`
`convertTo(IConverter<? super F,? extends T> converter)`
Sets the from-to direction converter on the resulting binding.
`Step`
`defaultConvert()`
Makes the resulting binding use default converters between the two observables.

## Method Details

### convertTo

<T> Step convertTo(IConverter<? super F,? extends T> converter)
Sets the from-to direction converter on the resulting binding. The defines the type of the to-end observable.

Type Parameters:
  `T` - type of the to-end observable
Parameters:
  `converter` - the converter to set
Returns:
  next step
See Also:
  - `UpdateValueStrategy.setConverter(org.eclipse.core.databinding.conversion.IConverter<? super S, ? extends D>)`

### defaultConvert

Step defaultConvert()
Makes the resulting binding use default converters between the two observables. Because of this an observable of any type may be used.

For example, converters to and from strings and numeric types are available.

However, the `IObservableValue.getValueType()` or `IObservableCollection.getElementType()` of both the observables must be non-null.

See `DataBindingContext` for information about types that have default converters and how they work.

Returns:
  next step
See Also:
  - `UpdateValueStrategy(boolean, int)`